---
title: "Quickcal"
description: "Documentation and guidance for building tools and integrations with the Disguise platform."
url: https://developer.disguise.one/api/session/quickcal/
---

# QUICKCAL API

-   [POST lineupcurrentpose](#post-lineupcurrentpose)
-   [POST overwritemanualcalibration](#post-overwritemanualcalibration)
-   [GET projectorcalibration](#get-projectorcalibration)
-   [GET referencepoints](#get-referencepoints)
-   [POST resetlineup](#post-resetlineup)

## POST lineupcurrentpose

### Summary

Lineup the current pose for the selected projector according to the selected reference points

### URL

POST    /api/session/quickcal/lineupcurrentpose

### Request

```json
{
  "projector": {
    "uid": "",
    "name": ""
  },
  "referencePoint": {
    "uid": "",
    "name": ""
  },
  "position": {
    "x": 0,
    "y": 0
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST overwritemanualcalibration

### Summary

Copies projector parameters from current calibration to manual fields

### URL

POST    /api/session/quickcal/overwritemanualcalibration

### Request

```json
{
  "projector": {
    "uid": "",
    "name": ""
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## GET projectorcalibration

### Summary

Returns information about the current calibration of the given projector configuration

### URL

GET    /api/session/quickcal/projectorcalibration

### Query Params

uid    uint64    

name    string    

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "info": {
    "restError": 0,
    "reprojectionError": 0,
    "rmsError": 0,
    "selectedCalibrationMethod": "",
    "usedCalibrationMethod": "",
    "requiredLineups": 0,
    "currentLineups": 0,
    "fixedThrowRatio": false
  }
}
```

## GET referencepoints

### Summary

Returns a list of all reference points

### URL

GET    /api/session/quickcal/referencepoints

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": [
    {
      "uid": "",
      "name": ""
    }
  ]
}
```

## POST resetlineup

### Summary

Resets the lineup of the selected projector

### URL

POST    /api/session/quickcal/resetlineup

### Request

```json
{
  "projector": {
    "uid": "",
    "name": ""
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```
